package Common.Visual.Trees;
import Common.Current_;
import Common.Visual.Selectable;
import _VisualDVM.Global;

import javax.swing.tree.DefaultMutableTreeNode;
public class SelectableTree extends DataTree {
    public SelectableTree(DefaultMutableTreeNode root_in) {
        super(root_in);
    }
    @Override
    public void LeftMouseAction1() {
        Object element = Global.mainModule.get(getCurrent());
        if ((element instanceof Selectable)) {
            ((Selectable) element).SwitchSelection();
            updateUI();
        }
    }
}
